Bug 254012 - Add support for Intel® Ethernet Converged X540-T2
Summary: Add support for Intel® Ethernet Converged X540-T2
Status: Closed Not Accepted
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.2-STABLE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2021-03-04 16:24 UTC by Jan Zalewski
Modified: 2021-04-21 03:50 UTC (History)
4 users (show)

See Also:


Attachments
Screen depicting the problem (972.85 KB, image/png)
2021-03-04 16:24 UTC, Jan Zalewski
no flags Details
Added PCI ID 0x1512 in ixgbe driver for X540T2 (1.97 KB, patch)
2021-03-04 21:13 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 VVD 2021-03-04 21:13:59 UTC
Created attachment 222985 [details]
Added PCI ID 0x1512 in ixgbe driver for X540T2

Try to build kernel with this patch.

P.S. Please next time copy&paste plain text of pciconf -lv, but not photo of the screen.
Comment 2 Jeff Pieper 2021-03-05 16:05:44 UTC
Where did you acquire this adapter? This is an non-production internal-only device id and as such we cannot add public support for it.
Comment 3 Kevin Bowling freebsd_committer 2021-04-21 02:54:33 UTC
Per Jeff Piper's information as well as the acknowledgement by the two known users in the forum link in the first comment switching to supported NICs, we won't add the PCI ID.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-21 03:50:46 UTC
^Triage: 

  - Assign to committer that resolved
  - Correct resolution